| IDA SDK

Public Member Functions | Static Public Member Functions | List of all members
merge_node_helper_t Struct Reference

## Detailed Description

abstract adapter to provide access to non-standard netnode array entries

## Public Member Functions
virtual qstring | print_entry_name (uchar, nodeidx_t, void *) const
| print the name of the specified entry (to be used in print_diffpos_name)
virtual void | print_entry_details (qstrvec_t *, uchar, nodeidx_t, void *) const
| print the details of the specified entry usually contains multiple lines, one for each attribute or detail. More...
virtual void | get_column_headers (qstrvec_t *, uchar, void *) const
| get column headers for chooser (to be used in linear_diff_source_t::get_column_headers)
virtual bool | is_mergeable (uchar, nodeidx_t) const
| filter: check if we should perform merging for given record
virtual netnode | get_netnode () const
| return netnode to be used as source. More...
virtual void | map_scalar (nodeidx_t *, void *, diff_source_idx_t, diff_source_idx_t) const
| map scalar/string/buffered value
virtual void | map_string (qstring *, void *, diff_source_idx_t, diff_source_idx_t) const
virtual void | map_value (bytevec_t *, void *, diff_source_idx_t, diff_source_idx_t) const
virtual void | refresh (uchar, void *)
| notify helper that some data was changed in the database and internal structures (e.g. More...
virtual const char * | get_logname () const
| return name of netnode to be used in logging. More...

## Static Public Member Functions
static void | append_eavec (qstring *s, const char *prefix, const eavec_t &eas)
| can be used by derived classes

## Member Function Documentation

## ◆ print_entry_details()

virtual void merge_node_helper_t::print_entry_details | ( | qstrvec_t * | ,
|  | uchar | ,
|  | nodeidx_t | ,
|  | void * |
| ) |  | const
| inline virtual

print the details of the specified entry usually contains multiple lines, one for each attribute or detail.

(to be used in print_diffpos_details)

## ◆ get_netnode()

virtual netnode merge_node_helper_t::get_netnode | ( |  | ) | const
| inline virtual

return netnode to be used as source.

If this function returns BADNODE netnode will be created using netnode name passed to create_nodeval_diff_source

## ◆ refresh()

virtual void merge_node_helper_t::refresh | ( | uchar | ,
|  | void * |
| ) |  |
| inline virtual

notify helper that some data was changed in the database and internal structures (e.g.

caches) should be refreshed

## ◆ get_logname()

virtual const char * merge_node_helper_t::get_logname | ( |  | ) | const
| inline virtual

return name of netnode to be used in logging.

If this function returns nullptr netnode name and tag passed to create_nodeval_diff_source will be used

The documentation for this struct was generated from the following file:

- merge.hpp